if status is-interactive
    # Commands to run in interactive sessions can go here
	abbr --add ll ll -a
	abbr --add adl album-dl.fish
	abbr --add vv nvim
	abbr --add tr gio trash
	abbr --add --set-cursor tldr curl cheat.sh/%

	function copy --description 'Copy to clipboard'
		fish_clipboard_copy
	end

	function paste --description 'Paste from clipboard'
		fish_clipboard_paste
	end

	function alacritty --description 'Create new Alacritty window'
		command alacritty msg create-window $argv
	end

	function vman --description 'Uses Neovim as a manpager'
		man $argv | nvim +Man!
	end

	function mvi --description 'Launches \d mpv with mvi configuration'
		mpv --config-dir=$HOME/.config/mvi/ $argv
	end

	# Colorscheme
	set -U fish_color_normal normal
	set -U fish_color_command brgreen --bold
	set -U fish_color_keyword brred
	set -U fish_color_quote green --italics
	set -U fish_color_redirection yellow
	set -U fish_color_end cyan
	set -U fish_color_error red --underline=curly
	set -U fish_color_param normal
	set -U fish_color_comment brblack
	set -U fish_color_selection normal --bold --background brblack
	set -U fish_color_search_match
	set -U fish_color_history_current
	set -U fish_color_operator yellow
	set -U fish_color_escape white --bold
	set -U fish_color_cwd green
	set -U fish_color_cwd_root red
	set -U fish_color_option brblue
	set -U fish_color_valid_path --underline
	set -U fish_color_autosuggestion white
	set -U fish_color_user brgreen
	set -U fish_color_host normal
	set -U fish_color_host_remote yellow
	set -U fish_color_history_current --bold
	set -U fish_color_status red
	set -U fish_color_cancel white --bold
	set -U fish_pager_color_prefix normal --bold --underline
	set -U fish_pager_color_progress normal --bold --reverse
	set -U fish_pager_color_completion normal
	set -U fish_pager_color_description yellow --italics
	set -U fish_pager_color_selected_background --background brblue
	set -U fish_pager_color_secondary_background
	set -U fish_pager_color_selected_completion black --bold
	set -U fish_pager_color_background
	set -U fish_pager_color_selected_description bryellow --bold --italics
	set -U fish_pager_color_secondary_prefix
	set -U fish_pager_color_secondary_description
	set -U fish_pager_color_selected_prefix black --bold --underline
	set -U fish_pager_color_secondary_completion
end
